#ifndef __INCLUDED_FREERTOSCONFIG_H__
#define __INCLUDED_FREERTOSCONFIG_H__


#ifdef __COMPILE_C__
#include <ioxm128a1.h>
#endif


#define IAR_MEGA_AVR

#define configUSE_PREEMPTION            1
#define configUSE_IDLE_HOOK             1
#define configUSE_TICK_HOOK             1
#define configCPU_CLOCK_HZ              32000000
#define configTICK_RATE_HZ              1000
#define configMAX_PRIORITIES            4
#define configMINIMAL_STACK_SIZE        256
#define configCALL_STACK_SIZE	        96
#define configTOTAL_HEAP_SIZE           1280
#define configUSE_TRACE_FACILITY        0
#define configUSE_16_BIT_TICKS          1
#define configIDLE_SHOULD_YIELD         1
#define configUSE_CO_ROUTINES           0
#define configUSE_MUTEXES               0

#define configMAIN_TASK_STACK_SIZE      256
#define configMAIN_10MSTASK_STACK_SIZE  256
#define configIGNITION_TASK_STACK_SIZE  256

#define INCLUDE_vTaskPrioritySet        0
#define INCLUDE_uxTaskPriorityGet       0
#define INCLUDE_vTaskDelete             0
#define INCLUDE_vTaskCleanUpResources   0
#define INCLUDE_vTaskSuspend	        1
#define INCLUDE_vTaskDelayUntil         1
#define INCLUDE_vTaskDelay              1


#endif
